mod backup;
mod cli;
mod server;
mod signals;
mod stdin;

use crate::cli::Cli;
use clap::Parser;
use std::io;

pub fn other(msg: &str) -> io::Error {
    io::Error::new(io::ErrorKind::Other, msg)
}

// fn commands_backup(cli: &Cli, args: &BackupArgs) -> io::Result<()> {
//     let metadata = server::Metadata {
//         server_type: cli.server,
//         server_version: cli.server_version.clone(),
//     };
//     let dirs = vec![
//         (PathBuf::from("config"), cli.config.clone()),
//         (PathBuf::from("worlds"), cli.world.clone()),
//     ];
//     let mut meta = MetaManager::new(cli.backup.clone(), dirs, metadata);
//     meta.add_all(&cli.layers)?;

//     match &args.command {
//         BackupCommands::List => ()
//     }

//     // manager.create_backup()?;
//     // manager.remove_old_backups()
// }

fn main() -> io::Result<()> {
    let cli = Cli::parse();
    cli.run()
}
